
import "./static/iconfont/iconfont.css"
import "./static/iconfont/iconfont-weapp/iconfont-weapp-icon.css"

// #ifndef VUE3
import Vue from 'vue'
import App from './App'
import svg from './static/iconfont/svg.js'

Vue.use(svg);

Vue.config.productionTip = false;
App.mpType = 'app';

const app = new Vue({
    ...App
})
app.$mount()
// #endif

// #ifdef VUE3
import { createSSRApp } from 'vue'
import App from './App.vue'
import request from "./utils/api.js"
import publicMethods from "./utils/public.js"

export function createApp() {
  const app = createSSRApp(App)
  app.config.globalProperties.$api = request;
  app.config.globalProperties.$wf = publicMethods;
  return {
    app
  }
}
// #endif

